summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_net_misc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_net_misc.sh')
-rwxr-xr-xsource3/script/tests/test_net_misc.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source3/script/tests/test_net_misc.sh b/source3/script/tests/test_net_misc.sh
index 5257830030..015b5026a7 100755
--- a/source3/script/tests/test_net_misc.sh
+++ b/source3/script/tests/test_net_misc.sh
@@ -2,6 +2,17 @@
# various tests for the "net" command
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_net_misc.sh SCRIPTDIR SERVERCONFFILE CONFIGURATION
+EOF
+exit 1;
+fi
+
+SCRIPTDIR="$1"
+SERVERCONFFILE="$2"
+CONFIGURATION="$3"
+
NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"
NETTIME="${NET} time"